# libipuz Development Guide
===========================

This is the development guide for *libipuz*, a library to handle the
[ipuz](https://ipuz.org) data format for pencil-and-paper puzzles.

* [Extensions to the ipuz spec that we support](ipuz-extensions.md)

# Design documents
------------------

* [Coordinates](coords.md)
* [Filippine puzzles](filippine.md)
* [Parsing strategy](parsing-strategy.md)

# Coding style
--------------

* [Some style conventions](naming-conventions.md)

